(*----------------------------------------------------------------------------*
 *  Direct3D sample for DirectX 8.x demostrating how to process X-Files data  *
 *  using D3DX8 functions. More precisely I try to 'SMOOTH' input mesh with   *
 *  minimal error introduction on vertex positions                            *
 *                                                                            *
 *  Copyright (c) 2002 by Alexey Barkovoy                                     *
 *  E-Mail: clootie@reactor.ru                                                *
 *                                                                            *
 *  Modified: 11-Apr-2002                                                     *
 *                                                                            *
 *  Latest version can be downloaded from:                                    *
 *     http://clootie.narod.ru                                                *
 *----------------------------------------------------------------------------*)
(*----------------------------------------------------------------------------*
 *  Note: this example can be compiled against DirectX 8.0 and DirectX 8.1    *
 *  By default it will compile against 8.0 version but after defining "DX81"  *
 *  preprocessor symbol it will compile against DirectX 8.1 headers           *
 *----------------------------------------------------------------------------*)

program XFileSmooth;

{$I DirectX.inc}

uses
  Windows,
  MainUnit in 'MainUnit.pas';

{$R winmain.res}

//-----------------------------------------------------------------------------
// Name: WinMain()
// Desc: Entry point to the program. Initializes everything, and goes into a
//       message-processing loop. Idle time is used to render the scene.
//-----------------------------------------------------------------------------
var
  d3dApp: CMyD3DApplication;
begin
  d3dApp:= CMyD3DApplication.Create;
  // "Create_" isn't a constructor it's a regular function
  if FAILED(d3dApp.Create_(HInstance)) then Exit;
  d3dApp.Run;
  d3dApp.Free;
end.